From 7ca810b1e81d32f4d912d0fb752aadfa056363c2 Mon Sep 17 00:00:00 2001
From: Adrian Taylor <adetaylor@chromium.org>
Date: Aug 25 2020 00:58:36 +0000
Subject: [PATCH 684/2232] Guess at BUCK and BUILD rules.


---

diff --git a/BUCK b/BUCK
index c554e1f..a58e0a2 100644
--- a/BUCK
+++ b/BUCK
@@ -68,3 +68,17 @@ rust_library(
         "//third-party:syn",
     ],
 )
+
+rust_library(
+    name = "lib",
+    srcs = glob(["gen/lib/src/**"]),
+    visibility = ["PUBLIC"],
+    deps = [
+        "//third-party:anyhow",
+        "//third-party:cc",
+        "//third-party:codespan-reporting",
+        "//third-party:proc-macro2",
+        "//third-party:quote",
+        "//third-party:syn",
+    ],
+)
diff --git a/BUILD b/BUILD
index d5255a8..017b7cc 100644
--- a/BUILD
+++ b/BUILD
@@ -67,3 +67,18 @@ rust_library(
         "//third-party:syn",
     ],
 )
+
+rust_library(
+    name = "lib",
+    srcs = glob(["gen/lib/src/**/*.rs"]),
+    data = ["gen/build/src/gen/include/cxx.h"],
+    visibility = ["//visibility:public"],
+    deps = [
+        "//third-party:anyhow",
+        "//third-party:cc",
+        "//third-party:codespan-reporting",
+        "//third-party:proc-macro2",
+        "//third-party:quote",
+        "//third-party:syn",
+    ],
+)

